## org.gjt.sp.jedit.bsh.classpath
Class BshClassPath.ClassSource

    java.lang.Object
      org.gjt.sp.jedit.bsh.classpath.BshClassPath.ClassSource

Direct Known Subclasses:
  BshClassPath.DirClassSource, BshClassPath.GeneratedClassSource, BshClassPath.JarClassSource

Enclosing class:
  BshClassPath

    public abstract static class BshClassPath.ClassSource

extends java.lang.Object

Constructor Summary
`BshClassPath.ClassSource()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BshClassPath.ClassSource

    public BshClassPath.ClassSource()